Package com.complexible.common.rdf.query

# Class RDFValueColumn

java.lang.Object
com.brsanthu.dataexporter.model.Column
com.complexible.common.dataexporter.FormattedColumn
com.complexible.common.dataexporter.WordWrapStringColumn
com.complexible.common.rdf.query.RDFValueColumn

public class RDFValueColumn extends WordWrapStringColumn

Author:
  Evren Sirin

- ## Field Summary

  ### Fields inherited from class com.brsanthu.dataexporter.model.Column

  `aligner, headerCellCssClass, headerCellCssId, headerCellCssStyle, rowCellCssClass, rowCellCssId, rowCellCssStyle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RDFValueColumn(String name, TurtleValueWriter theValueWriter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format(com.brsanthu.dataexporter.model.CellDetails cellDetails)`
  `String`
  `format(Object value)`

  ### Methods inherited from class com.complexible.common.dataexporter.WordWrapStringColumn

  `align, getMaxRowHeight`

  ### Methods inherited from class com.brsanthu.dataexporter.model.Column

  `align, align, align, getAlign, getCellValueGenerator, getHeaderCellCssClass, getHeaderCellCssId, getHeaderCellCssStyle, getMaxRowHeight, getMaxRowHeight, getName, getRowCellCssClass, getRowCellCssId, getRowCellCssStyle, getTitle, getTitle2, getTitle3, getWidth, isGeneratesOwnData, isNillable, setAlign, setCellValueGenerator, setGeneratesOwnData, setHeaderCellCssClass, setHeaderCellCssId, setHeaderCellCssStyle, setName, setNillable, setRowCellCssClass, setRowCellCssId, setRowCellCssStyle, setTitle, setTitle2, setTitle3, setWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RDFValueColumn

    public RDFValueColumn(String name, TurtleValueWriter theValueWriter)

- ## Method Details

  - ### format

    public String format(com.brsanthu.dataexporter.model.CellDetails cellDetails)
    Overrides:
      `format` in class `FormattedColumn`

  - ### format

    public String format(Object value)